/**************************************************************************************************/
/*                                      USE AGREEMENT                                             */
/*                                                                                                */
/* By using the program contain in this document, file location or subdirectory                   */
/*  (the "Deliverables"), you ("Licensee" are deemed to have agreed to the terms and conditions   */
/* set forth below (the "AGREEMENT") with Fujitsu Semiconductor Limited ("FUJITSU"). If Licensee  */
/* does not agree to this AGREEMENT then Licensee shall not use the Deliverables.                 */
/*                                                                                                */
/* 1. Permitted Use                                                                               */
/*                                                                                                */
/* The Deliverables are intended for and must only be used for reference and in an evaluation     */
/* laboratory environment. The Deliverables are provided on an "AS-IS" basis without any charge   */
/* and is subject to this AGREEMENT.  FUJITSU may modify the Deliverables without notice to       */
/* Licensee.  It is Licensee's obligation to fully test the Deliverables in its environment and   */
/* to ensure proper functionality, qualification and compliance with component specifications.    */
/* In the event the Deliverables include open source components, the provisions of the governing  */
/* open source license agreement shall apply with respect to such Deliverables, and such open     */
/* source license agreement shall prevail over this AGREEMNT if there is any contradiction        */
/* between this AGREEMENT and such open source license agreement.                                 */
/*                                                                                                */
/* 2. Disclaimer on Use                                                                           */
/*                                                                                                */
/* FUJITSU MAKES NO WARRANTIES, EITHER EXPRESS OR IMPLIED, REGARDING THE DELIVERABLES, INCLUDING  */
/* BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE.    */
/*                                                                                                */
/* FUJITSU DOES NOT WARRANT THAT THE DELIVERABLES DO NOT INFRINGE ANY THIRD PARTYS INTELLECTUAL  */
/* PROPERTY RIGHTS ("IPRs"), INCLUDING BUT NOT LIMITED TO PATENTS, UTILITY MODELS, DESIGNS,       */
/* TRADEMARKS, TRADE SECRETS, COPYRIGHTS, AND MASK WORK RIGHTS.                                   */
/*                                                                                                */
/* In the event that the Deliverables infringe a third party's IPRs, it is the sole               */
/* responsibility of the LICENSEE to obtain necessary licenses to continue the usage of the       */
/* Deliverable and to pay any and all damages for its use of the Deliverables.                    */
/*                                                                                                */
/* FUJITSU SHALL NOT BE OBLIGATED TO MAKE ANY BUG-FIXES, UPDATES, OR MODIFICATIONS OR TO PROVIDE  */
/* SUPPORT WITH RESPECT TO THE DELIVERABLES.                                                      */
/*                                                                                                */
/* Except as otherwise expressly provided herein, nothing in this AGREEMENT shall be construed    */
/* as obligating FUJITSU to grant licenses for the Deliverables to LICENSEE.                      */
/*                                                                                                */
/* 3. LIMITATION OF LIABILITY                                                                     */
/*                                                                                                */
/* THE DELIVERABLES ARE PROVIDED "AS-IS" FOR FREE AND IN NO EVENT WILL FUJITSU BE LIABLE FOR      */
/* LICENSEES USE OF THE DELIVERABLES.                                                            */
/*                                                                                                */
/* IN NO EVENT WILL FUJITSU BE LIABLE TO LICENSEE, CUSTOMERS, END USERS, OR ANY THIRD PARTIES FOR */
/* ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL, PUNITIVE, CONSEQUENTIAL OR SIMILAR DAMAGE OF ANY    */
/* KIND OR CHARACTER, WHETHER IN CONTRACT OR TORT, ARISING OUT OF OR RELATING TO THIS AGREEMENT,  */
/* INCLUDING WITHOUT LIMITATION, LOST REVENUE OR PROFITS, LOST DATA OR USE, DAMAGE TO EQUIPMENT,  */
/* DOWNTIME COSTS AND CLAIMS BY ANY THIRD PARTY, REGARDLESS OF WHETHER FUJITSU HAS BEEN ADVISED   */
/* OF THE POSSIBILITY OF SUCH DAMAGES AND NOTWITHSTANDING THE FAILURE OF ANY REMEDY FOR AN        */
/* ESSENTIAL PURPOSE.                                                                             */
/*                                                                                                */
/* ALL LIABILITIES OF FUJITSUWHETHER IN CONTRACT, TORT, OR OTHERWISE, ARISING OUT OF OR IN        */
/* CONNECTION WITH THIS AGREEMENT, SHALL NOT EXCEED THE TOTAL AMOUNTS PAID TO FUJITSU BY          */
/* LICENSEE FOR THE DELIVERABLES UNDER THIS AGREEMENT.                                            */
/*                                                                                                */
/* 4. GOVERNING LAW AND ARBITRATION                                                               */
/*                                                                                                */
/* It is expressly agreed that the validity and construction of this AGREEMENT, and performance   */
/* hereunder, shall be governed by the laws of Japan, without regard to its conflicts of laws     */
/* rules.  THE UNITED NATIONS CONVENTION ON CONTRACTS FOR THE INTERNATIONAL SALE OF GOODS AND     */
/* UNIFORM COMPUTER INFORMATION TRANSACTION ACT (UCITA) SHALL NOT APPLY.                          */
/*                                                                                                */
/* In the event of any dispute, controversy or claim (collectively referred to as "Dispute")      */
/* arising out of or relating to this AGREEMENT, or the breach thereof, the parties shall use     */
/* their best endeavors to amicably settle any such disputes, controversies or within thirty (30) */
/* days a party receives notice of a Dispute from the other party ("Complaining Party"). Any such */
/* disputes, controversies or claim that cannot be settled between the parties within thirty (30) */
/* days after a party received notice of the Dispute from Complaining Party, such Dispute shall   */
/* be finally settled under the Rules of Arbitration of the Japan Commercial Arbitration          */
/* Association ("Rules") by three arbitrators appointed in accordance with the said Rules.        */
/* The place of arbitration shall be Tokyo, Japan. The arbitration shall be conducted in English, */
/* with Japanese translation used at the request of either party. The award rendered by the       */
/* arbitrators shall be final and binding upon both parties.                                      */
/*                                                                                                */
/* In addition to the remedies that parties may seek from an arbitration tribunal, each party     */
/* shall have the right to obtain, from a court of competent jurisdiction at any time, any and    */
/* all forms of equitable relief to prevent the infringement of an intellectual property right of */
/* a party, including but not limited to injunctive relief and specific performance.  The seeking */
/* of and/or the obtaining of such equitable relief will not be deemed to be incompatible with    */
/* the agreement to arbitrate.                                                                    */
/*                                                                                                */
/* 5. Indemnity                                                                                   */
/*                                                                                                */
/* Licensee will hold harmless and indemnify FUJITSU and its affiliates, officers, agents, and    */
/* employees from any claim, suit or action arising from or related to the use of the             */
/* Deliverables or violation of the terms of this Agreement, including any liability or expense   */
/* arising from claims, losses, damages, suits, judgments, litigation costs and attorneys' fees.  */
/*                                                                                                */
/* 6. General                                                                                     */
/*                                                                                                */
/* FUJITSU may modify this AGREEMENT and such modification will become effective 14 days after    */
/* the date FUJITSU provides notice of such modification to Licensee. If Licensee does not want   */
/* to accept any of such modifications then Licensee should discontinue the use of Deliverables   */
/* before the modification becomes effective.  If there is a conflict between the terms of this   */
/* AGREEMENT and the modified terms as made by FUJITSU, then the modified terms will control      */
/* for that conflict.                                                                             */
/*                                                                                                */
/* This AGREEMENT does not create any third party beneficiary rights.                             */
/*                                                                                                */
/* FUJITSU If you do not comply with these terms, and we don't take action right away, this       */
/* doesn't mean that we are giving up any rights that we may have (such as taking action in the   */
/* future).                                                                                       */
/*                                                                                                */
/* Licensee shall comply with all then-current applicable laws, regulations and other legal       */
/* requirements in its performance in connection with this AGREEMENT, including without           */
/* limitation, all applicable export control laws, rules and regulations of the United States,    */
/* Japan and any other relevant countries.                                                        */
/*                                                                                                */
/* If any proper arbitration tribunal or court determines that a term in this AGREEMENT term is   */
/* not enforceable, then this determination will not affect any other terms in this AGREEMENT.    */
/*                                                                                                */
/* The failure by FUJITSU to enforce or exercise any rights under or in connection with any term  */
/* and/or condition of this AGREEMENT shall not be construed as constituting a waiver of such     */
/* rights.                                                                                        */
/*                                                                                                */
/**************************************************************************************************/
/** \file base_types.h
 **
 ** Additional base type definitions to stddef.h and stdint.h
 **
 ** History:
 **   - 2013-03-21  1.0  MWi  First version.
 **
 *****************************************************************************/

#ifndef __BASE_TYPES_H__
#define __BASE_TYPES_H__

/*****************************************************************************/
/* Include files                                                             */
/*****************************************************************************/
#include <stddef.h>
#include "stdint.h"
  
/*****************************************************************************/
/* Global pre-processor symbols/macros ('#define')                           */
/*****************************************************************************/
#ifndef TRUE
  /** Value is true (boolean_t type) */
  #define TRUE        ((boolean_t) 1)
#endif

#ifndef FALSE
  /** Value is false (boolean_t type) */
  #define FALSE       ((boolean_t) 0)
#endif  

/** Returns the minimum value out of two values */
#define MIN( X, Y )  ((X) < (Y) ? (X) : (Y))

/** Returns the maximum value out of two values */
#define MAX( X, Y )  ((X) > (Y) ? (X) : (Y))

/** Returns the dimension of an array */
#define DIM( X )  ((sizeof(X)) / (sizeof(X##[0])))

/******************************************************************************
 * Global type definitions
 ******************************************************************************/

/** logical datatype (only values are TRUE and FALSE) */
typedef uint8_t      boolean_t;
  
/** single precision floating point number (4 byte) */
typedef float        float32_t;

/** double precision floating point number (8 byte) */
typedef double       float64_t;

/** ASCCI character for string generation (8 bit) */
typedef char         char_t;

/** function pointer type to void/void function */
typedef void         (*func_ptr_t)(void);

/** function pointer type to void/uint8_t function */
typedef void         (*func_ptr_arg1_t)(uint8_t u8Arg);

/** generic error codes */
typedef enum en_result
{
    Ok                          = 0,  ///< No error
    Error                       = 1,  ///< Non-specific error code
    ErrorAddressAlignment       = 2,  ///< Address alignment does not match
    ErrorAccessRights           = 3,  ///< Wrong mode (e.g. user/system) mode is set
    ErrorInvalidParameter       = 4,  ///< Provided parameter is not valid
    ErrorOperationInProgress    = 5,  ///< A conflicting or requested operation is still in progress
    ErrorInvalidMode            = 6,  ///< Operation not allowed in current mode
    ErrorUninitialized          = 7,  ///< Module (or part of it) was not initialized properly
    ErrorBufferFull             = 8,  ///< Circular buffer can not be written because the buffer is full
    ErrorTimeout                = 9,  ///< Time Out error occurred (e.g. I2C arbitration lost, Flash time-out, etc.)
    ErrorNotReady               = 10, ///< A requested final state is not reached
    OperationInProgress         = 11  ///< Indicator for operation in progress (e.g. ADC conversion not finished, DMA channel used, etc.)
} en_result_t;

/*****************************************************************************/
/* Global variable declarations ('extern', definition in C source)           */
/*****************************************************************************/

/*****************************************************************************/
/* Global function prototypes ('extern', definition in C source)             */
/*****************************************************************************/

#endif /* __BASE_TYPES_H__ */

/******************************************************************************/
/* EOF (not truncated)                                                        */
/******************************************************************************/
